Settings: Channels
Assign workflow to channel
Assign or unassign a workflow to a channel. Admin only.
PATCH
/
api
/
settings
/
channels
/
{id}
/
workflow
Assign workflow to channel
curl --request PATCH \
--url https://api.tedro.io/api/settings/channels/{id}/workflow \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <api-key>' \
--cookie better-auth.session_token= \
--data '
{
"workflowId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://api.tedro.io/api/settings/channels/{id}/workflow"
payload = { "workflowId": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
"cookie": "better-auth.session_token=",
"x-workspace-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
cookie: 'better-auth.session_token=',
'x-workspace-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({workflowId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://api.tedro.io/api/settings/channels/{id}/workflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"error": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Session cookie set by Better Auth on sign-in.
Workspace UUID. Required on all /api/* endpoints.
Path Parameters
Body
application/json
Assign a workflow to a channel
Response
Workflow assigned
⌘I
Assign workflow to channel
